MetalComboBoxUI.MetalComboBoxLayoutManager (Java Platform SE 8 )
Keywords: javax.swing.plaf.metal.MetalComboBoxUI.MetalComboBoxLayoutManager class
Date: 2020-03-26

javax.swing.plaf.metal

## Class MetalComboBoxUI.MetalComboBoxLayoutManager

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager
  - - javax.swing.plaf.metal.MetalComboBoxUI.MetalComboBoxLayoutManager

- All Implemented Interfaces:
    LayoutManager
  Enclosing class:
    MetalComboBoxUI

      public class MetalComboBoxUI.MetalComboBoxLayoutManager
      extends BasicComboBoxUI.ComboBoxLayoutManager

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `MetalComboBoxUI`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetalComboBoxLayoutManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `layoutContainer(Container parent)` Lays out the specified container.
    `void` | `superLayout(Container parent)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager

      `addLayoutComponent, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetalComboBoxLayoutManager

          public MetalComboBoxLayoutManager()

  - ### Method Detail

    - #### layoutContainer

          public void layoutContainer(Container parent)

      Description copied from interface: `LayoutManager`
      Lays out the specified container.
      Specified by:
        `layoutContainer` in interface `LayoutManager`
      Overrides:
        `layoutContainer` in class `BasicComboBoxUI.ComboBoxLayoutManager`
      Parameters:
        `parent` - the container to be laid out

    - #### superLayout

          public void superLayout(Container parent)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.